using System;

namespace Zad3__PetljaTakmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int T = Convert.ToInt32(Console.ReadLine());

            int[] A = new int[100000];
            int[] Nniz = new int[100000];
            int[] Mniz = new int[100000];

            for(int i = 0;i < T; i++)
            {
                A[i] = Convert.ToInt32(Console.ReadLine());
            }

            for(int i = 0;i < T; i++)
            {
                string[] unos = Console.ReadLine().Split(' ');

                int N = Convert.ToInt32(unos[0]);
                int M = Convert.ToInt32(unos[1]);

                var Pomocni = Console.ReadLine().Split(' ');
        
                for (int j = 0; i < N; i++)
                {
                    Nniz[i] = int.Parse(Pomocni[i]); 
                }

                var Pomocni2 = Console.ReadLine().Split(' ');

                for (int j = 0; i < M; i++)
                {
                    Mniz[i] = int.Parse(Pomocni[i]);
                }


            }
        }
    }
}